## START: Set by rpmautospec
## (rpmautospec version 0.3.0)
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 11;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           woff
Version:        0.20091126
Release:        %autorelease
Summary:        Encoding and decoding for Web Open Font Format (WOFF)

License:        MPL-1.0 OR GPL-2.0-or-later OR LGPL-2.0-or-later
# Note that the URL http://people.mozilla.org/~jkew/woff/, where the original
# WOFF reference implementation sources were published, is no longer available.
# A copy of that page can be found at
# https://web.archive.org/web/20170630235618/https://people-mozilla.org/~jkew/woff/,
# and the sources are mirrored at https://github.com/TheJessieKirk/sfnt2woff.
%global original_url https://people-mozilla.org/~jkew/woff/
# The URL is no longer active, so we reference an archived copy:
URL:            https://web.archive.org/web/20170630235618/%{original_url}
# There is no longer a working URL for this archive.
Source0:        %{original_url}/woff-code-latest.zip
# Hand-written for Fedora in groff_man(7) format based on --help output
Source1:        sfnt2woff.1
Source2:        woff2sfnt.1

# It’s possible that tableOrder could be freed twice if a failure occurs. Set
# the pointer null after freeing it to prevent this. There is no current
# upstream to which this could be reported.
Patch:          possible-double-free.patch

BuildRequires:  make
BuildRequires:  gcc

BuildRequires:  zlib-devel

%description
Provides the sfnt2woff and woff2sfnt command-line tools for encoding and
decoding Web Open Font Format (WOFF) files.

%prep
%autosetup -c -p1


%build
%set_build_flags
%make_build CFLAGS="${CFLAGS}"


%install
# The Makefile has no install target.
install -d '%{buildroot}%{_bindir}'
install -t '%{buildroot}%{_bindir}' -p sfnt2woff woff2sfnt
install -d '%{buildroot}%{_mandir}/man1'
install -t '%{buildroot}%{_mandir}/man1' -p -m 0644 '%{SOURCE1}' '%{SOURCE2}'


%files
%doc woff-2009-10-03.html
%{_bindir}/sfnt2woff
%{_bindir}/woff2sfnt
%{_mandir}/man1/sfnt2woff.1*
%{_mandir}/man1/woff2sfnt.1*


%changelog
* Wed Nov 30 2022 Benjamin A. Beasley <code@musicinmybrain.net> 0.20091126-11
- Improved summary and description

* Wed Nov 30 2022 Benjamin A. Beasley <code@musicinmybrain.net> 0.20091126-10
- Update License to SPDX

* Tue Nov 29 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 0.20091126-6
- Clarify URL/Source situation, and do not claim to have a working source
  archive URL
- General tidying of spec file; use modern macros and install HTML format
  description as documentation
- Add hand-written man pages

* Sun Jun 05 2022 Benson Muite <benson_muite@emailplus.org> - 0.20091126-5
- Source URL update

* Mon Feb 19 2018 Parag Nemade <pnemade AT redhat DOT com> - 0.20091126-4
- Add BuildRequires: gcc as per packaging guidelines

* Thu Feb 11 2016 Parag Nemade <pnemade AT redhat DOT com>- 0.20091126-3
- Clean the spec file

* Sun Nov 29 2009 Parag Nemade <pnemade@redhat.com>- 0.20091126-2.fc12
- Added BR:zlib-devel

* Fri Nov 27 2009 Parag Nemade <pnemade@redhat.com>- 0.20091126-1.fc12
- Initial specfile for Fedora

